<?php

namespace DAO;



class ReportRestoreModel extends \DAO\AbstractModel {



    /**
     * 表名
     *
     * @var string
     */
    protected $_tableName = 'han_report_restore';

    /**
     * 主键
     *
     * @var string
     */
    protected $_primaryKey = 'restore_id';
    public function init(){

    }
    public function getList(){
        $this->setDb();
        return $this->db->select('restore_id AS reasonId,restore_info AS restoreInfo,restore_describe AS restoreDescribe')->from($this->_tableName)->order('sort','DESC')->fetchAll();
    }

    /**
     * 类实例
     *
     * @var \DAO\UserModel
     */
    private static $_instance = null;

    /**
     * 获取类实例
     *
     * @return \DAO\UserModel
     */
    public static function getInstance() {
        if (!(self::$_instance instanceof self)) {
            self::$_instance = new self();
        }

        return self::$_instance;
    }

}
